### Method

# Shumate MapSource set_id

#### Declaration [src]

    void
    shumate_map_source_set_id (
      ShumateMapSource* map_source,
      const char* id
    )

#### Description [src]

Sets the map source’s id.

Sets property | `Shumate.MapSource:id`

#### Parameters

`id`

  Type: `const char*`

  An id.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.